import 'option.dart';
import 'terminal.dart';

final Terminal _t = const Terminal();

class Prompter {
  bool askYesNo(String prompt) {
    final String input = _ask('$prompt (y/n)', []);

    return input.contains('y');
  }

  String askQuestion(String prompt, List<Option> options) {
    final String input = _ask(prompt, options);

    try {
      return options[int.parse(input)].value;
    } catch (err) {
      return askQuestion(prompt, options);
    }
  }

  String _ask(String prompt, List<Option> option) {
    _t.clearScreen();
    _t.printPrompt(prompt);
    _t.printOptions(option);

    return _t.collectInput();
  }
}
